Mail::SPF::Mod::Exp(3)

NAME
Mail::SPF::Mod::Exp - SPF record "exp" modifier class

DESCRIPTION
An object of class Mail::SPF::Mod::Exp represents an SPF record modifier of type "exp".

  Constructors
The following constructors are provided:

new(%options): returns Mail::SPF::Mod::Exp
    Creates a new SPF record "exp" modifier object.

    %options is a list of key/value pairs representing any of the following options:

    domain_spec
        See "new" in Mail::SPF::Mod.

new_from_string($text, %options): returns Mail::SPF::Mod::Exp; throws Mail::SPF::ENothingToParse, Mail::SPF::EInvalidMod
    Creates a new SPF record "exp" modifier object by parsing the string and any options given.

  Class methods
The following class methods are provided:

name: returns string
    Returns 'exp'.

name_pattern: returns Regexp
    Returns a regular expression that matches a modifier name of 'exp'.

precedence: returns real
    Returns a precedence value of 0.2. See "precedence" in Mail::SPF::Mod.

  Instance methods
The following instance methods are provided:

params
    See "params" in Mail::SPF::Mod.

domain_spec: returns Mail::SPF::MacroString
    Returns the "domain-spec" parameter of the modifier.

process($server, $request, $result)
    If the given SPF result is a "fail" result, retrieves the authority domain's explanation string from the modifier's target domain and attaches it to the SPF result. If an error occurs during the retrieval of the explanation string, does nothing, as if the modifier was not present. See RFC 4408, 6.2, for details.

See Mail::SPF::Mod for other supported instance methods.

SEE ALSO
Mail::SPF, Mail::SPF::Mod, Mail::SPF::Term, Mail::SPF::Record

<http://tools.ietf.org/html/rfc4408>

For availability, support, and license information, see the README file included with Mail::SPF.

AUTHORS
Julian Mehnle <julian@mehnle.net>, Shevek <cpan@anarres.org>